%global __requires_exclude perl\\(Contents\\)

Name: quad-pres
Version: 0.30.0
Release: %mkrel 2
License: MIT
Group: Publishing
Source: https://www.shlomifish.org/quad-pres/quad-pres-%{version}.tar.xz
URL: https://www.shlomifish.org/quad-pres/
BuildArch: noarch
BuildRequires: cmake
BuildRequires: perl-devel
BuildRequires: perl(IO::All)
BuildRequires: perl(Class::XSAccessor)
BuildRequires: perl(Config::IniFiles)
BuildRequires: perl(File::Copy::Recursive)
BuildRequires: perl(File::Find::Object::Rule)
BuildRequires: perl(HTML::Links::Localize)
BuildRequires: perl(HTML::T5)
BuildRequires: perl(HTML::Widgets::NavMenu::EscapeHtml)
BuildRequires: perl(IO::All)
BuildRequires: perl(MooX)
BuildRequires: perl(MooX::late)
BuildRequires: perl(Path::Tiny)
BuildRequires: perl(QuadPres)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Text::VimColor)
BuildRequires: perl(Template)
BuildRequires: perl(Test::Trap)
BuildRequires: perl(XML::LibXML)
BuildRequires: perl(YAML::XS)
BuildRequires: rsync
BuildRequires: wml >= 2.20.1-2
Requires: perl
Requires: wml
Provides: quadp = %{version}-%{release}
Summary: A Presentation Preparation System

%description
Quad-Pres is a system for preparing HTML presentations. It is based on Website
Meta Language and Perl 5.

%prep
%setup -q

%build
%cmake
%cmake_build

%install
%cmake_install

%check
rm -f t/style-trailing-space.t
rm -f t/tidyall.t
cd build && perl ../run_test.pl

%files
%doc AUTHORS ChangeLog COPYING README.md TODO
%_bindir/quadp
%_datadir/quad-pres/


%changelog
* Fri Apr 01 2022 umeabot <umeabot> 0.30.0-2.mga9
+ Revision: 1839861
- Mageia 9 Mass Rebuild

* Wed Jul 22 2020 shlomif <shlomif> 0.30.0-1.mga8
+ Revision: 1607801
- New version 0.30.0

* Sat Feb 15 2020 daviddavid <daviddavid> 0.28.1-2.mga8
+ Revision: 1528420
- use new make macros
- fix owner of data dir
+ umeabot <umeabot>
- Mageia 8 Mass Rebuild

* Mon Aug 05 2019 shlomif <shlomif> 0.28.1-1.mga8
+ Revision: 1427559
- New version 0.28.1

* Mon Aug 05 2019 shlomif <shlomif> 0.28.0-1.mga8
+ Revision: 1427456
- New version 0.28.0

* Tue Apr 02 2019 shlomif <shlomif> 0.26.0-2.mga7
+ Revision: 1385411
- Fix build on i586
- New version 0.26.0

* Fri Feb 22 2019 shlomif <shlomif> 0.24.1-1.mga7
+ Revision: 1369261
- New version 0.24.1 ; fix cmake
- New version 0.24 ; add check stage

* Sun Sep 23 2018 shlomif <shlomif> 0.22.0-2.mga7
+ Revision: 1300511
- New version 0.22.0

* Fri Sep 21 2018 umeabot <umeabot> 0.20.0-3.mga7
+ Revision: 1290597
- Mageia 7 Mass Rebuild

* Thu May 03 2018 shlomif <shlomif> 0.20.0-2.mga7
+ Revision: 1225782
- add provides
- spec cleanups

* Wed Dec 20 2017 shlomif <shlomif> 0.20.0-1.mga7
+ Revision: 1183597
- new ver 0.20.0.

* Sat Apr 02 2016 shlomif <shlomif> 0.18.0-1.mga6
+ Revision: 997600
- New version 0.18.0.

* Wed Mar 23 2016 shlomif <shlomif> 0.16.0-2.mga6
+ Revision: 994657
- Add missing BR
- Fix exclude
- Fix release and excludes
- Add BRs and Requires
- Improting quad-pres

